Create a vulnerability exemption in a profile
curl --request POST \
--url https://{region}.api.plerion.com/v1/tenant/profiles/{profileId}/vulnerability/exemptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auditNote": "<string>",
"name": "<string>",
"conditions": {
"vulnerabilityIds": [
"<string>"
],
"assetGroupIds": [
"<string>"
],
"assetIds": [
"<string>"
],
"assetRegions": [
"<string>"
],
"assetTags": [
{
"key": "<string>",
"value": "<string>"
}
],
"noVendorFix": true,
"hasKev": true,
"hasExploit": true
}
}
'import requests
url = "https://{region}.api.plerion.com/v1/tenant/profiles/{profileId}/vulnerability/exemptions"
payload = {
"auditNote": "<string>",
"name": "<string>",
"conditions": {
"vulnerabilityIds": ["<string>"],
"assetGroupIds": ["<string>"],
"assetIds": ["<string>"],
"assetRegions": ["<string>"],
"assetTags": [
{
"key": "<string>",
"value": "<string>"
}
],
"noVendorFix": True,
"hasKev": True,
"hasExploit": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auditNote: '<string>',
name: '<string>',
conditions: {
vulnerabilityIds: ['<string>'],
assetGroupIds: ['<string>'],
assetIds: ['<string>'],
assetRegions: ['<string>'],
assetTags: [{key: '<string>', value: '<string>'}],
noVendorFix: true,
hasKev: true,
hasExploit: true
}
})
};
fetch('https://{region}.api.plerion.com/v1/tenant/profiles/{profileId}/vulnerability/exemptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"exemptionId": "550e8400-e29b-41d4-a716-446655440000",
"profileId": "123e4567-e89b-12d3-a456-426614174000",
"name": "Critical Patch Exemption",
"auditNote": "Accepted risk due to compensating controls.",
"reason": "COMPENSATING_CONTROL",
"conditions": {
"vulnerabilityIds": [
"CVE-2023-12345"
],
"assetGroupIds": [
"asset-group-123"
],
"assetIds": [
"prn:assets:afeb4e5f-0370-4b43-8e37-7e4efc719358:aws:ec2:instance:ap-southeast-2:i-085a328dba59f229b"
],
"assetRegions": [
"us-east-1"
],
"assetTags": [
{
"key": "environment",
"value": "production"
}
],
"noVendorFix": true,
"hasKev": true,
"hasExploit": true
},
"createdAt": "2023-10-01T12:00:00Z",
"updatedAt": "2023-10-02T14:30:00Z",
"createdBy": "user@example.com",
"updatedBy": "user@example.com"
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Internal server error"
}Create a vulnerability exemption in a profile
Creates an exemption definition scoped to the given profile. Use it to suppress specific vulnerabilities.
POST
/
v1
/
tenant
/
profiles
/
{profileId}
/
vulnerability
/
exemptions
Create a vulnerability exemption in a profile
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
application/json
Path Parameters
Profile ID (UUID) or the literal string "default" for the default profile.
Body
application/json
Response
Exemption created
Show child attributes
Show child attributes
Was this page helpful?
⌘I